Package twisted :: Package manhole :: Module explorer :: Class ExplorerBuiltin

[frames | no frames]

## Class ExplorerBuiltin

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                     Explorer --+
                                |
                               ExplorerBuiltin

Method Summary
| `__init__(self, function, identifier)`
Inherited from Explorer
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective.
| ``view_get_refcount`(self, perspective)`
Inherited from Cacheable
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get state to cache on the client and client-cache reference to observe locally.
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me.
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me.
Inherited from Copyable
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
| ``getTypeToCopy`(self)` Determine what type tag to send for me.
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Instance Variable Summary
| `doc`: function's docstring, or `None` if unavailable
| `name`: the name the function was defined as
| `self`: if not `None`, the function is a method of this object.

Class Variable Summary
`list` | `properties` = `['doc', 'name', 'self']`
Inherited from Explorer
`list` | `accessors` = `['get_refcount']`
`list` | `attributeGroups` = `[]`
`NoneType` | `id` = None
`NoneType` | `identifier` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Instance Variable Details

### doc

function's docstring, or `None` if unavailable

### name

the name the function was defined as

### self

if not `None`, the function is a method of this object.

Class Variable Details

### properties

  Type:
    `list`
  Value:

        ['doc', 'name', 'self']

Generated by Epydoc 2.0 on Wed Feb 25 07:36:57 2004 | http://epydoc.sf.net